diff -rcN screen-3.2a/ChangeLog screen-3.2b/ChangeLog
*** screen-3.2a/ChangeLog
--- screen-3.2b/ChangeLog	Wed Oct 28 14:29:36 1992
***************
*** 0 ****
--- 1,15 ----
+ Wed Oct 28 14:34:21 1992  David J. MacKenzie  (djm@goldman.gnu.ai.mit.edu)
+ 
+ 	* Version 3.2b.
+ 
+ Tue Oct 27 23:48:57 1992  David J. MacKenzie  (djm@goldman.gnu.ai.mit.edu)
+ 
+ 	* socket.c (ReceiveMsg): Don't try using setenv; always putenv.
+ 
+ 	* config.h.in: Maybe define NLIST_STRUCT.
+ 
+ Local Variables:
+ mode: indented-text
+ left-margin: 8
+ version-control: never
+ End:
diff -rcN screen-3.2a/Makefile.in screen-3.2b/Makefile.in
*** screen-3.2a/Makefile.in	Thu Oct 22 23:00:10 1992
--- screen-3.2b/Makefile.in	Wed Oct 28 14:29:28 1992
***************
*** 1,7 ****
  #
  # Makefile template for screen
  #
! # See config.h.in for configuration options.
  #
  
  #### Start of system configuration section. ####
--- 1,8 ----
  #
  # Makefile template for screen
  #
! # See config.h.in for configuration options and an explanation of why
! # it is best to install screen setuid to root.
  #
  
  #### Start of system configuration section. ####
***************
*** 39,45 ****
  putenv.c getloadavg.c
  OFILES=	screen.o ansi.o help.o fileio.o mark.o window.o socket.o @LIBOBJS@
  HFILES= ansi.h extern.h patchlevel.h screen.h config.h.in
! MISCFILES = COPYING INSTALL Makefile.in NEWS README etcscreenrc \
  	configure.in configure screen.1
  DISTFILES = $(CFILES) $(HFILES) $(MISCFILES)
  
--- 40,46 ----
  putenv.c getloadavg.c
  OFILES=	screen.o ansi.o help.o fileio.o mark.o window.o socket.o @LIBOBJS@
  HFILES= ansi.h extern.h patchlevel.h screen.h config.h.in
! MISCFILES = COPYING ChangeLog INSTALL Makefile.in NEWS README etcscreenrc \
  	configure.in configure screen.1
  DISTFILES = $(CFILES) $(HFILES) $(MISCFILES)
  
***************
*** 95,101 ****
  	#load $(CFLAGS) screen.c ansi.c $(LIBS)
  
  dist: $(DISTFILES)
! 	echo screen-3.2a > .fname
  	rm -rf `cat .fname`
  	mkdir `cat .fname`
  	-ln $(DISTFILES) `cat .fname`
--- 96,102 ----
  	#load $(CFLAGS) screen.c ansi.c $(LIBS)
  
  dist: $(DISTFILES)
! 	echo screen-3.2b > .fname
  	rm -rf `cat .fname`
  	mkdir `cat .fname`
  	-ln $(DISTFILES) `cat .fname`
diff -rcN screen-3.2a/NEWS screen-3.2b/NEWS
*** screen-3.2a/NEWS	Thu Oct 22 21:00:08 1992
--- screen-3.2b/NEWS	Wed Oct 28 14:37:04 1992
***************
*** 1,3 ****
--- 1,10 ----
+ 3.2b (unofficial)
+ -----------------
+ 
+ Fix support for Sequents and SVR3 (SCO).
+ 
+ 
+ 
  3.2a (unofficial)
  -----------------
  Background: on 5 June 1992 in comp.unix.bsd, Oliver Laumann
diff -rcN screen-3.2a/README screen-3.2b/README
*** screen-3.2a/README	Thu Oct 22 21:49:20 1992
--- screen-3.2b/README	Wed Oct 28 14:36:55 1992
***************
*** 14,19 ****
--- 14,21 ----
  Read through the "Site Configuration" section of config.h.in, and edit
  it to suit your site.  Each define is well commented to help you decide
  what to choose.  Then follow the instructions in the file INSTALL.
+ A comment near the top of config.h.in explains why it's best to
+ install screen setuid to root.
  
  
  If you want to get a quick idea how "screen" works but don't want to read
***************
*** 49,57 ****
  .screenrc file.
  
  Send your questions, comments and bug reports for screen to:
- 
  	jnweiger@immd4.informatik.uni-erlangen.de (Juergen Weigert)
- 
  and also to:
- 
  	bug-gnu-utils@prep.ai.mit.edu
--- 51,56 ----
diff -rcN screen-3.2a/config.h.in screen-3.2b/config.h.in
*** screen-3.2a/config.h.in	Thu Oct 22 21:13:29 1992
--- screen-3.2b/config.h.in	Tue Oct 27 23:53:22 1992
***************
*** 257,263 ****
  #undef USEVARARGS
  
  /*
!  * Define this if your system supports named pipes.
   */
  #undef NAMEDPIPE
  
--- 257,264 ----
  #undef USEVARARGS
  
  /*
!  * Define this if your system supports named pipes
!  * instead of sockets.
   */
  #undef NAMEDPIPE
  
***************
*** 283,288 ****
--- 284,294 ----
   * Define if your headers define sig_t.
   */
  #undef SIG_T_DEFINED
+ 
+ /*
+  * Define if you have nlist.h.  For getting the load average.
+  */
+ #undef NLIST_STRUCT
  
  /*
   * Define each of these if the appropriate function is declared in
diff -rcN screen-3.2a/configure screen-3.2b/configure
*** screen-3.2a/configure	Thu Oct 22 21:05:39 1992
--- screen-3.2b/configure	Wed Oct 28 12:12:32 1992
***************
*** 419,425 ****
  
  
  echo checking for getutent
! echo "#include <utmp.h>
  main() { exit(0); } t() { int x = DEAD_PROCESS; getutent(); }" > conftest.c
  if eval $compile; then
    DEFS="${DEFS}#define GETUTENT 1
--- 419,426 ----
  
  
  echo checking for getutent
! echo "#include <time.h> /* to get time_t on SCO */
! #include <utmp.h>
  main() { exit(0); } t() { int x = DEAD_PROCESS; getutent(); }" > conftest.c
  if eval $compile; then
    DEFS="${DEFS}#define GETUTENT 1
***************
*** 666,674 ****
  fi
  rm -f conftest9012345 conftest9012346
  
! echo "${DEFS}#include <sys/stat.h>" > conftest.c
! eval "$CPP conftest.c > conftest.out 2>&1"
! if egrep "S_I.*FIFO" conftest.out >/dev/null 2>&1; then
    DEFS="${DEFS}#define NAMEDPIPE 1
  "
  fi
--- 667,681 ----
  fi
  rm -f conftest9012345 conftest9012346
  
! echo checking for sys/socket.h
! cat <<EOF > conftest.c
! $DEFS
! #include <sys/socket.h>
! EOF
! err=`eval "$CPP conftest.c 2>&1 >/dev/null"`
! if test -z "$err"; then
!   :
! else
    DEFS="${DEFS}#define NAMEDPIPE 1
  "
  fi
***************
*** 682,693 ****
  " LIBS="$LIBS -lelf"
  fi
  
! echo checking for SCO crypt library
! test -f /lib/libcrypt_d.a && LIBS="$LIBS -lcrypt_d" # SCO UNIX
! test -f /lib/libcrypt.a && LIBS="$LIBS -lcrypt" # SCO UNIX
  
  echo checking for IRIX sun library
! test -f /lib/libsun.a && LIBS="$LIBS -lsun" # SGI
  
  echo checking for Xenix
  cat <<EOF > conftest.c
--- 689,701 ----
  " LIBS="$LIBS -lelf"
  fi
  
! echo checking for SCO crypt and sec libraries
! test -f /lib/libcrypt_d.a && LIBS="$LIBS -lcrypt_d"
! test -f /lib/libcrypt.a && LIBS="$LIBS -lcrypt"
! test -f /lib/libsec.a && LIBS="$LIBS -lsec"
  
  echo checking for IRIX sun library
! test -f /lib/libsun.a && LIBS="$LIBS -lsun"
  
  echo checking for Xenix
  cat <<EOF > conftest.c
diff -rcN screen-3.2a/configure.in screen-3.2b/configure.in
*** screen-3.2a/configure.in	Thu Oct 22 21:05:27 1992
--- screen-3.2b/configure.in	Wed Oct 28 12:11:10 1992
***************
*** 67,73 ****
  
  AC_DIR_HEADER
  
! AC_COMPILE_CHECK(getutent, [#include <utmp.h>],
  [int x = DEAD_PROCESS; getutent();], AC_DEFINE(GETUTENT))
  
  AC_GETLOADAVG
--- 67,74 ----
  
  AC_DIR_HEADER
  
! AC_COMPILE_CHECK(getutent, [#include <time.h> /* to get time_t on SCO */
! #include <utmp.h>],
  [int x = DEAD_PROCESS; getutent();], AC_DEFINE(GETUTENT))
  
  AC_GETLOADAVG
***************
*** 124,130 ****
  fi
  rm -f conftest9012345 conftest9012346
  
! AC_HEADER_EGREP(S_I.*FIFO, sys/stat.h, AC_DEFINE(NAMEDPIPE))
  
  echo checking for SVR4 elf library
  if test -f /usr/ucblib/libucb.a; then # SVR4
--- 125,131 ----
  fi
  rm -f conftest9012345 conftest9012346
  
! AC_HEADER_CHECK(sys/socket.h, , AC_DEFINE(NAMEDPIPE))
  
  echo checking for SVR4 elf library
  if test -f /usr/ucblib/libucb.a; then # SVR4
***************
*** 131,142 ****
    AC_DEFINE(SVR4) AC_DEFINE(BUGGYGETLOGIN) LIBS="$LIBS -lelf"
  fi
  
! echo checking for SCO crypt library
! test -f /lib/libcrypt_d.a && LIBS="$LIBS -lcrypt_d" # SCO UNIX
! test -f /lib/libcrypt.a && LIBS="$LIBS -lcrypt" # SCO UNIX
  
  echo checking for IRIX sun library
! test -f /lib/libsun.a && LIBS="$LIBS -lsun" # SGI
  
  AC_XENIX_DIR
  
--- 132,144 ----
    AC_DEFINE(SVR4) AC_DEFINE(BUGGYGETLOGIN) LIBS="$LIBS -lelf"
  fi
  
! echo checking for SCO crypt and sec libraries
! test -f /lib/libcrypt_d.a && LIBS="$LIBS -lcrypt_d"
! test -f /lib/libcrypt.a && LIBS="$LIBS -lcrypt"
! test -f /lib/libsec.a && LIBS="$LIBS -lsec"
  
  echo checking for IRIX sun library
! test -f /lib/libsun.a && LIBS="$LIBS -lsun"
  
  AC_XENIX_DIR
  
diff -rcN screen-3.2a/getloadavg.c screen-3.2b/getloadavg.c
*** screen-3.2a/getloadavg.c	Tue Sep 29 07:39:38 1992
--- screen-3.2b/getloadavg.c	Wed Oct 28 00:15:12 1992
***************
*** 124,130 ****
  #endif	/* Not FSCALE.  */
  
  
! #if !defined(NLIST_STRUCT) && (defined(MORE_BSD) || defined(sun) || defined(decstation) || defined(hpux) || defined(_SEQUENT_) || defined(sgi) || defined(SVR4)) || defined(sony_news)
  #define NLIST_STRUCT
  #endif
  
--- 124,130 ----
  #endif	/* Not FSCALE.  */
  
  
! #if !defined(NLIST_STRUCT) && (defined(MORE_BSD) || defined(sun) || defined(decstation) || defined(hpux) || defined(_SEQUENT_) || defined(sequent) || defined(sgi) || defined(SVR4)) || defined(sony_news)
  #define NLIST_STRUCT
  #endif
  
***************
*** 157,170 ****
  
  #endif /* not emacs */
  
! #ifdef USG
  #include <fcntl.h>
  #else
  #include <sys/file.h>
- #endif
- 
- #ifdef HAVE_UNISTD_H
- #include <unistd.h>
  #endif
  
  #ifdef TEST
--- 157,170 ----
  
  #endif /* not emacs */
  
! #ifdef HAVE_UNISTD_H
! #include <unistd.h>
! #endif
! 
! #if defined(USG) || defined(SYSV) || defined(_POSIX_VERSION)
  #include <fcntl.h>
  #else
  #include <sys/file.h>
  #endif
  
  #ifdef TEST
diff -rcN screen-3.2a/patchlevel.h screen-3.2b/patchlevel.h
*** screen-3.2a/patchlevel.h	Thu Oct 22 21:36:36 1992
--- screen-3.2b/patchlevel.h	Wed Oct 28 14:29:58 1992
***************
*** 71,75 ****
  #define REV 3
  #define VERS 2
  #define PATCHLEVEL 0
! #define DATE "10/22/92"
! #define STATE "a"
--- 71,75 ----
  #define REV 3
  #define VERS 2
  #define PATCHLEVEL 0
! #define DATE "10/28/92"
! #define STATE "b"
diff -rcN screen-3.2a/socket.c screen-3.2b/socket.c
*** screen-3.2a/socket.c	Fri Jun 12 18:03:38 1992
--- screen-3.2b/socket.c	Tue Oct 27 23:48:58 1992
***************
*** 1011,1023 ****
  	    }
  #endif
  	
- #if !defined(sequent) && !defined(MIPS)
  	  putenv(m.m.attach.envterm);
- #else
- 	  setenv("TERM", m.m.attach.envterm + 5, 1);
- #endif
  	}
- #if !defined(sequent) && !defined(MIPS)
        sprintf(lbuf, "LINES=%d", m.m.attach.lines);
        if (m.m.attach.lines > 0 || getenv("LINES"))
          putenv(lbuf);
--- 1011,1018 ----
***************
*** 1024,1037 ****
        sprintf(cbuf, "COLUMNS=%d", m.m.attach.columns);
        if (m.m.attach.columns > 0 || getenv("COLUMNS"))
          putenv(cbuf);
- #else
-       sprintf(lbuf, "%d", m.m.attach.lines);
-       if (m.m.attach.lines > 0 || getenv("LINES"))
-         setenv("LINES", lbuf, 1);
-       sprintf(cbuf, "%d", m.m.attach.columns);
-       if (m.m.attach.columns > 0 || getenv("COLUMNS"))
-         setenv("COLUMNS", cbuf, 1);
- #endif
        
        /*
         * We reboot our Terminal Emulator. Forget all we knew about
--- 1019,1024 ----
